*! version 1.1.1  22aug2006  by Sascha Becker  sbecker@lmu.de
* NOTE: I use colons as delimiters!!

# delimit ;

program drop _all;
mat drop _all;

clear;

/* HERE NEED TO ADJUST MEMORY DEPENDING ON COMPUTER WHERE THINGS RUN */
/* LIMITS LESS SEVERE ON APPLICATION SERVER                          */
/*********************************************************************/
set memory 800m;

/* HERE NEED TO ADJUST MAIN PATH DEPENDING ON WHERE THINGS RUN */
/***************************************************************/
*global root "C:/Home/Muendler";                                    /* BuBa: path on Application Server */
*global root "S:/Muendler";                                         /* BuBa: mapping of application server from local PC */
*global root "D:\Sascha\FDI\fdilabor"; /* non-BuBa PC */
global root "R:\Zentrale\6\Daten\6_Extern\!Fdi-Projekte\Muendler"; /* BuBa: standard network drive */

do "$root/%stata/ado/%Read-tabl2tex.do" /* Reads the programs corr2tex, summ2tex, tabl2tex and xttrans2tex for later use (to become an ado file later) */
adopath + "$root/%stata/ado";


capture mkdir "$root/!cafe";
global rootcafe "$root/!cafe";


capture mkdir "$rootcafe/estmat";
capture mkdir "$rootcafe/graphs";
capture mkdir "$rootcafe/logs";
capture mkdir "$rootcafe/tex";
capture mkdir "$rootcafe/Xdata";


cd "$root";


* 1. GERMAN DATA PREPARATION FOR DISPLACEMENT PROBITS FOR CAFE 2006 CONFERENCE (%50);
*-----------------------------------------------------------------------------------;

global rsample = 5; /* draw 5% worker sample !! */
global plantfe = 1;

global dp "$root/%stata/%50cafe-ger-prep";

* do $dp/addlvars.do;
* do $dp/displacement-psmatch2-sample.do;

clear;
set memory 200m;

    /* Aim: Draws (random) sample for displacement probits */
    
    /* INPUT   "$root\Xba\FDI-worker-data\FDI-worker-total_`w'.dta"
               "$root\Xba\FDI-worker-data\FDI-worker-total_`wminus4'.dta"
               "$root\xba\FDI-worker-data\lmu_same_plant.dta", nokeep keep(sp`w'_`wplus4')
                or, alternatively:
               "$root\xba\FDI-worker-data\lmu_present_wave.dta", nokeep keep(pw`wplus4') 
               "$root\xba\FDI-exposure\FDI-exposure_opt1_00-wide.dta" */
    /* OUTPUT
       Data:   "$root\xba\FDI-worker-data\displacement-probit-worker-sample";
               "$root\Xba\FDI-worker-data\displacement-probit-bstnr", replace;
       Log:    "$rootcafe\logs\displacement-probit-sample.log" */


* 2. GERMAN DATA DISPLACEMENT PROBITS FOR CAFE 2006 CONFERENCE (%51);
*-------------------------------------------------------------------;

global dp "$root/%stata/%51cafe-ger-reg";

set maxiter 25, permanently; /* change maxiter to prevent never-ending logit convergence */

*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++;

global par = "manf";

global speclist "1 2 3 4";
global hetlist "0";

global cutoff = 1; /* standard cutoff point for MNE expansion: growth rate > 0% */
di $cutoff;
do $dp/displacement-psmatch2-cutoffs;
global cutoff = 5; /* standard cutoff point for MNE expansion: growth rate > 0% */
di $cutoff;
do $dp/displacement-psmatch2-cutoffs;
global cutoff = 10; /* standard cutoff point for MNE expansion: growth rate > 0% */
di $cutoff;
do $dp/displacement-psmatch2-cutoffs;


do $dp/displacement-psmatch2-hetero;


stop;

global cutoff = 0; /* standard cutoff point for MNE expansion: growth rate > 0% */
global speclist "1 2 3 4";
global hetlist "0 1 2 3 4";
do $dp/displacement-psmatch2-turnover;
/* BITTE NACH sample 1 abbrechen */



* do $dp/displacement-logit;

global speclist "1 2 3 4";
global hetlist "0 1 2 3 4";
*do $dp/displacement-psmatch2-hetero-describe;

do $dp/displacement-psmatch2-hetero-fixcontrol;
/* BITTE NACH sample 1 abbrechen */

global outcome = "separate";
global samplelist = "1";
* do $dp/MH1959-R2002-macro;
do $dp/MH1959-R2002-macro-hetero;

do $dp/displacement-psmatch2-concomitant;


stop;


global speclist "1 2 3 4";
global hetlist "0";
*do $dp/displacement-psmatch2-hetero-fixcontrol;
